from AccessControl.Permissions import add_user_folders

from LDAPUserFolder import addLDAPUserFolderExtForm, \
                           manage_addLDAPUserFolderExt, \
                           LDAPUserFolderExt

from LDAPGroupFolder import addLDAPGroupFolderForm, \
                           manage_addLDAPGroupFolder, \
                           LDAPGroupFolder

def initialize(context):
    context.registerClass( LDAPUserFolderExt
                         , permission=add_user_folders
                         , constructors=( addLDAPUserFolderExtForm
                                        , manage_addLDAPUserFolderExt
                                        )
                         , icon='www/ldapuserfolder.gif'
                         )

    context.registerClass( LDAPGroupFolder
                         , permission=add_user_folders
                         , constructors=( addLDAPGroupFolderForm
                                        , manage_addLDAPGroupFolder
                                        )
                         , icon='www/ldapuserfolder.gif'
                         )
